com.taosdata.jdbc.utils

## Class Utils

- java.lang.Object
- - com.taosdata.jdbc.utils.Utils

    public class Utils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Utils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `escapeSingleQuota(String origin)`
`static ClassLoader` `getClassLoader()`
`static ForkJoinPool` `getForkJoinPool()`
`static String` `getNativeSql(String rawSql, Object[] parameters)`
`static int` `getSqlRows(Connection connection, String sql)`
`static boolean` `isValidIP(String ip)`
`static <T> T` `newInstance(Class<T> c)` Instantiate the class
`static Class<?>` `parseClassType(String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Utils

    public Utils()

### Method Detail

#### escapeSingleQuota

    public static String escapeSingleQuota(String origin)

#### getNativeSql

    public static String getNativeSql(String rawSql,
                                      Object[] parameters)

#### getClassLoader

    public static ClassLoader getClassLoader()

#### parseClassType

    public static Class<?> parseClassType(String key)

#### newInstance

    public static <T> T newInstance(Class<T> c)

Instantiate the class

#### isValidIP

    public static boolean isValidIP(String ip)

#### getForkJoinPool

    public static ForkJoinPool getForkJoinPool()

#### getSqlRows

    public static int getSqlRows(Connection connection,
                                 String sql)
                          throws SQLException

Throws:
  `SQLException`